$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-2.9.8-win32.msi' # download url, HTTPS preferred
$url64      = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-2.9.8-win64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-malos-vision*'
  checksum      = 'A18A5BF702E23B6950015DEDEAFA986C3510BD0B41954B94B4C26E50FCF239F2'
  checksum64    = 'F0BE4303762B71F2C8B9DC183E6576A710CE61CE2385AABFD2F78570DC583821'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyEnvironmentVariable -VariableName "OPENCV_VIDEOIO_PRIORITY_MSMF" -VariableValue "0" -VariableType Machine
Write-Warning "Remove ${env:ProgramFiles(x86)}\AdMobilize\Malos Vision\bin from PATH"
$env:PATH = [System.Text.RegularExpressions.Regex]::Replace($env:PATH, [System.Text.RegularExpressions.Regex]::Escape("${env:ProgramFiles(x86)}\AdMobilize\Malos Vision\bin") + '(?>;)?', '', [System.Text.RegularExpressions.RegexOptions]::IgnoreCase);
Install-ChocolateyPath "${env:ProgramFiles}\AdMobilize\Malos Vision\bin" -PathType 'Machine'
